Index: inc/admin/lib.pager.php
===================================================================
--- inc/admin/lib.pager.php	(revision 2008)
+++ inc/admin/lib.pager.php	(revision 1905)
@@ -12,125 +12,4 @@
 if (!defined('DC_RC_PATH')) { return; }
 
-class dcPager extends pager
-{
-	protected $form_action;
-	protected $form_hidden;
-	
-	protected function getLink($li_class,$href,$img_src,$img_src_nolink,$img_alt,$enable_link) {
-		if ($enable_link) {
-			$formatter = '<li class="%s btn"><a href="%s"><img src="%s" alt="%s"/></a><span class="hidden">%s</span></li>';
-			return sprintf ($formatter,
-				$li_class,$href,$img_src,$img_alt,$img_alt);
-		} else {
-			$formatter = '<li class="%s no-link btn"><img src="%s" alt="%s"/></li>';
-			return sprintf ($formatter,
-				$li_class,$img_src_nolink,$img_alt,$img_alt);
-		}
-	}
-	public function setURL() {
-		parent::setURL();
-		$url = parse_url($_SERVER['REQUEST_URI']);
-		if (isset($url['query'])) {
-			parse_str($url['query'],$args);
-		} else {
-			$args=array();
-		}
-		# Removing session information
-		if (session_id())
-		{
-			if (isset($args[session_name()]))
-				unset($args[session_name()]);
-		}
-		if (isset($args[$this->var_page])) {
-			unset($args[$this->var_page]);
-		}
-		if (isset($args['ok'])) {
-			unset($args['ok']);
-		}
-		$this->form_hidden = '';
-		foreach ($args as $k=>$v) {
-			if (is_array($v)) {
-				foreach ($v as $k2=>$v2) {
-					$this->form_hidden .= form::hidden(array($k.'[]'),$v2);
-				}
-			} else {
-				$this->form_hidden .= form::hidden(array($k),$v);
-			}
-		}
-		$this->form_action = $url['path'];
-	}
-	
-	/**
-	* Pager Links
-	*
-	* Returns pager links
-	*
-	* @return string
-	*/
-	public function getLinks()
-	{
-		$this->setURL();
-		$htmlFirst = $this->getLink(
-			"first",
-			sprintf($this->page_url,1),
-			"images/pagination/first.png",
-			"images/pagination/no-first.png",
-			__('First page'),
-			($this->env > 1)
-		);
-		$htmlPrev = $this->getLink(
-			"prev",
-			sprintf($this->page_url,$this->env-1),
-			"images/pagination/previous.png",
-			"images/pagination/no-previous.png",
-			__('Previous page'),
-			($this->env > 1)
-		);
-		$htmlNext = $this->getLink(
-			"next",
-			sprintf($this->page_url,$this->env+1),
-			"images/pagination/next.png",
-			"images/pagination/no-next.png",
-			__('Next page'),
-			($this->env < $this->nb_pages)
-		);
-		$htmlLast = $this->getLink(
-			"last",
-			sprintf($this->page_url,$this->nb_pages),
-			"images/pagination/last.png",
-			"images/pagination/no-last.png",
-			__('Last page'),
-			($this->env < $this->nb_pages)
-		);
-		$htmlCurrent = 
-			'<li class="active"><strong>'.
-			sprintf(__('Page %s / %s'),$this->env,$this->nb_pages).
-			'</strong></li>';
-			
-		$htmlDirect = 
-			($this->nb_pages > 1 ?
-				sprintf('<li class="direct-access">'.__('Direct access page %s'),
-					form::field(array('page'),3,10)).
-				'<input type="submit" value="'.__('ok').'" class="reset" '.
-				'name="ok" />'.$this->form_hidden.'</li>' : '');
-		
-		$res =	
-			'<form action="'.$this->form_action.'" method="get">'.
-			'<div class="pager"><ul>'.
-			$htmlFirst.
-			$htmlPrev.
-			$htmlCurrent.
-			$htmlNext.
-			$htmlLast.
-			$htmlDirect.
-			'</ul>'.
-			'</div>'.
-			'</form>'
-		;
-		
-		return $this->nb_elements > 0 ? $res : '';
-	}
-}
-
 class adminGenericList
 {
@@ -159,5 +38,8 @@
 		else
 		{
-			$pager = new dcPager($page,$this->rs_count,$nb_per_page,10);
+			$pager = new pager($page,$this->rs_count,$nb_per_page,10);
+			$pager->html_prev = $this->html_prev;
+			$pager->html_next = $this->html_next;
+			$pager->var_page = 'page';
 			$entries = array();
 			if (isset($_REQUEST['entries'])) {
@@ -167,6 +49,5 @@
 			}
 			$html_block =
-			'<div class="table-outer">'.
-			'<table><caption class="hidden">'.__('Entries list').'</caption><tr>'.
+			'<table class="clear"><caption class="hidden">'.__('Entries list').'</caption><tr>'.
 			'<th colspan="2" class="first">'.__('Title').'</th>'.
 			'<th scope="col">'.__('Date').'</th>'.
@@ -176,5 +57,5 @@
 			'<th scope="col">'.__('Trackbacks').'</th>'.
 			'<th scope="col">'.__('Status').'</th>'.
-			'</tr>%s</table></div>';
+			'</tr>%s</table>';
 			
 			if ($enclose_block) {
@@ -182,5 +63,5 @@
 			}
 			
-			echo $pager->getLinks();
+			echo '<p class="pagination">'.__('Page(s)').' : '.$pager->getLinks().'</p>';
 			
 			$blocks = explode('%s',$html_block);
@@ -195,5 +76,5 @@
 			echo $blocks[1];
 			
-			echo $pager->getLinks();
+			echo '<p class="pagination">'.__('Page(s)').' : '.$pager->getLinks().'</p>';
 		}
 	}
@@ -277,14 +158,16 @@
 		else
 		{
-			$pager = new dcPager($page,$this->rs_count,$nb_per_page,10);
+			$pager = new pager($page,$this->rs_count,$nb_per_page,10);
+			$pager->html_prev = $this->html_prev;
+			$pager->html_next = $this->html_next;
+			$pager->var_page = 'page';
 			
 			$html_block =
-			'<div class="table-outer clear">'.
-			'<table><caption class="hidden">'.__('Entries list').'</caption><tr>'.
+			'<table class="clear"><caption class="hidden">'.__('Entries list').'</caption><tr>'.
 			'<th scope="col">'.__('Title').'</th>'.
 			'<th scope="col">'.__('Date').'</th>'.
 			'<th scope="col">'.__('Author').'</th>'.
 			'<th scope="col">'.__('Status').'</th>'.
-			'</tr>%s</table></div>';
+			'</tr>%s</table>';
 			
 			if ($enclose_block) {
@@ -292,5 +175,5 @@
 			}
 			
-			echo $pager->getLinks();
+			echo '<p class="pagination">'.__('Page(s)').' : '.$pager->getLinks().'</p>';
 			
 			$blocks = explode('%s',$html_block);
@@ -305,5 +188,5 @@
 			echo $blocks[1];
 			
-			echo $pager->getLinks();
+			echo '<p class="pagination">'.__('Page(s)').' : '.$pager->getLinks().'</p>';
 		}
 	}
@@ -370,6 +253,8 @@
 		else
 		{
-			$pager = new dcPager($page,$this->rs_count,$nb_per_page,10);
-			
+			$pager = new pager($page,$this->rs_count,$nb_per_page,10);
+			$pager->html_prev = $this->html_prev;
+			$pager->html_next = $this->html_next;
+			$pager->var_page = 'page';
 			$comments = array();
 			if (isset($_REQUEST['comments'])) {
@@ -379,5 +264,4 @@
 			}			
 			$html_block =
-			'<div class="table-outer">'.
 			'<table><caption class="hidden">'.__('Comments and trackbacks list').'</caption><tr>'.
 			'<th colspan="2" scope="col" abbr="comm" class="first">'.__('Type').'</th>'.
@@ -386,5 +270,5 @@
 			'<th scope="col" class="txt-center">'.__('Status').'</th>'.
 			'<th scope="col" abbr="entry">'.__('Entry title').'</th>'.
-			'</tr>%s</table></div>';
+			'</tr>%s</table>';
 
 			if ($enclose_block) {
@@ -392,5 +276,5 @@
 			}
 			
-			echo $pager->getLinks();
+			echo '<p class="pagination">'.__('Page(s)').' : '.$pager->getLinks().'</p>';
 			
 			$blocks = explode('%s',$html_block);
@@ -405,9 +289,9 @@
 			echo $blocks[1];
 			
-			echo $pager->getLinks();
+			echo '<p class="pagination">'.__('Page(s)').' : '.$pager->getLinks().'</p>';
 		}
 	}
 	
-	private function commentLine($checked=false)
+	private function commentLine($checked)
 	{
 		global $author, $status, $sortby, $order, $nb_per_page;
@@ -457,6 +341,6 @@
 		$res .=
 		'<td class="nowrap">'.
-		form::checkbox(array('comments[]'),$this->rs->comment_id,'','','',0).'</td>'.
-		'<td class="nowrap" abbr="'.__('Type and author').'" scope="row">'.
+		form::checkbox(array('comments[]'),$this->rs->comment_id,$checked,'','',0).'</td>'.
+		'<td class="nowrap" abbr="'.__('Type and author').'" scope="raw">'.
 			'<a href="'.$comment_url.'" title="'.$comment_title.'">'.
 			'<img src="images/edit-mini.png" alt="'.__('Edit').'"/> '.
@@ -485,9 +369,11 @@
 		else
 		{
-			$pager = new dcPager($page,$this->rs_count,$nb_per_page,10);
+			$pager = new pager($page,$this->rs_count,$nb_per_page,10);
+			$pager->html_prev = $this->html_prev;
+			$pager->html_next = $this->html_next;
+			$pager->var_page = 'page';
 			
 			$html_block =
-			'<div class="table-outer clear">'.
-			'<table><caption class="hidden">'.__('Users list').'</caption><tr>'.
+			'<table class="clear"><caption class="hidden">'.__('Users list').'</caption><tr>'.
 			'<th colspan="2" scope="col" class="first">'.__('Username').'</th>'.
 			'<th scope="col">'.__('First Name').'</th>'.
@@ -495,5 +381,5 @@
 			'<th scope="col">'.__('Display name').'</th>'.
 			'<th scope="col" class="nowrap">'.__('Entries (all types)').'</th>'.
-			'</tr>%s</table></div>';
+			'</tr>%s</table>';
 			
 			if ($enclose_block) {
@@ -501,5 +387,5 @@
 			}
 			
-			echo $pager->getLinks();
+			echo '<p class="pagination">'.__('Page(s)').' : '.$pager->getLinks().'</p>';
 			
 			$blocks = explode('%s',$html_block);
@@ -514,5 +400,5 @@
 			echo $blocks[1];
 			
-			echo $pager->getLinks();
+			echo '<p class="pagination">'.__('Page(s)').' : '.$pager->getLinks().'</p>';
 		}
 	}
Index: inc/admin/prepend.php
===================================================================
--- inc/admin/prepend.php	(revision 1949)
+++ inc/admin/prepend.php	(revision 1793)
@@ -51,5 +51,4 @@
 	$_lang = preg_match('/^[a-z]{2}(-[a-z]{2})?$/',$_lang) ? $_lang : 'en';
 	
-	l10n::lang($_lang);
 	if (l10n::set(dirname(__FILE__).'/../../locales/'.$_lang.'/date') === false && $_lang != 'en') {
 		l10n::set(dirname(__FILE__).'/../../locales/en/date');
@@ -217,6 +216,4 @@
 	}
 	unset($hfiles,$locales_root);
-	// Contextual help flag
-	$GLOBALS['__resources']['ctxhelp'] = false;
 
 	$core->auth->user_prefs->addWorkspace('interface');
Index: inc/core/class.dc.xmlrpc.php
===================================================================
--- inc/core/class.dc.xmlrpc.php	(revision 1968)
+++ inc/core/class.dc.xmlrpc.php	(revision 1688)
@@ -786,5 +786,5 @@
 		
 		$file_name = $file['name'];
-		$file_bits = base64_decode($file['bits']);
+		$file_bits = $file['bits'];
 		
 		$this->setUser($user,$pwd);
Index: inc/prepend.php
===================================================================
--- inc/prepend.php	(revision 1999)
+++ inc/prepend.php	(revision 1905)
@@ -59,5 +59,4 @@
 $__autoload['adminCommentList']		= dirname(__FILE__).'/admin/lib.pager.php';
 $__autoload['adminUserList']			= dirname(__FILE__).'/admin/lib.pager.php';
-$__autoload['dcPager']		= dirname(__FILE__).'/admin/lib.pager.php';
 $__autoload['dcAdminCombos']			= dirname(__FILE__).'/admin/lib.admincombos.php';
 
@@ -292,5 +291,4 @@
 	{
 		if ($l == 'en' || l10n::set(dirname(__FILE__).'/../locales/'.$l.'/main') !== false) {
-			l10n::lang($l);
 			break;
 		}
Index: inc/public/prepend.php
===================================================================
--- inc/public/prepend.php	(revision 1949)
+++ inc/public/prepend.php	(revision 1179)
@@ -69,5 +69,4 @@
 $_lang = preg_match('/^[a-z]{2}(-[a-z]{2})?$/',$_lang) ? $_lang : 'en';
 
-l10n::lang($_lang);
 if (l10n::set(dirname(__FILE__).'/../../locales/'.$_lang.'/date') === false && $_lang != 'en') {
 	l10n::set(dirname(__FILE__).'/../../locales/en/date');
Index: locales/po_update.sh
===================================================================
--- locales/po_update.sh	(revision 1179)
+++ locales/po_update.sh	(revision 1179)
@@ -0,0 +1,195 @@
+#!/bin/sh
+# -- BEGIN LICENSE BLOCK ---------------------------------------
+#
+# This file is part of Dotclear 2.
+#
+# Copyright (c) 2003-2013 Olivier Meunier & Association Dotclear
+# Licensed under the GPL version 2.0 license.
+# See LICENSE file or
+# http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
+#
+# -- END LICENSE BLOCK -----------------------------------------
+
+# Usage (from l10n-plugins root)
+# po_update.sh <dotclear-root> [<lang>]
+
+export LANG=C
+
+XGETTEXT=xgettext
+MSGMERGE=msgmerge
+
+PLUGINS="
+aboutConfig
+akismet
+antispam
+attachments
+blogroll
+blowupConfig
+daInstaller
+fairTrackbacks
+importExport
+maintenance
+pages
+pings
+simpleMenu
+tags
+themeEditor
+userPref
+widgets
+"
+
+PO_LANG=$1
+PO_MODULE=$2
+
+if [ ! -d ./inc/core ]; then
+	echo "You are not on Dotclear root directory"
+	exit 1
+fi
+
+if [ ! -d locales/_pot ]; then
+	echo "Template not found."
+	exit 1
+fi
+
+extract_strings()
+{
+	$XGETTEXT \
+	-f- \
+	--sort-by-file \
+	-L PHP -k__ \
+	--no-wrap \
+	--foreign-user \
+	--from-code=UTF-8 \
+	"$@"
+}
+
+extract_html_strings()
+{
+	tee -
+	
+	$XGETTEXT \
+	- \
+	--sort-by-file \
+	-L PHP -k__ \
+	--no-wrap \
+	--foreign-user \
+	--from-code=UTF-8 \
+	"$@"
+}
+update_po()
+{
+	po_file=$1
+	pot_file=$2
+	po_dir=`dirname $1`
+	po_tmp=$po_dir/tmp.po~
+	
+	if [ ! -d $po_dir ]; then
+		mkdir $po_dir
+	fi
+	
+	if [ ! -f $po_file ]; then
+		cp $pot_file $po_file
+		perl -pi -e "s|; charset=CHARSET|; charset=UTF-8|sgi;" $po_file $po_file
+	fi
+	
+	$MSGMERGE --no-location --no-wrap -o $po_tmp $po_file $pot_file
+	mv $po_tmp $po_file
+}
+
+if [ -z "$PO_MODULE" ]; then
+	#
+	# Create po template files
+	#
+	echo "Building main PO template..."
+	find ./admin ./inc -name '*.php' -not -regex '.*/inc/public/.*' -print | \
+		extract_strings \
+		--package-name="Dotclear 2" \
+		-o locales/_pot/main.pot \
+		-x locales/_pot/date.pot
+	
+	echo "DONE"
+	
+	# plugins.pot
+	echo "Building plugins PO template..."
+	for p in $PLUGINS; do
+		find ./plugins/$p -name '*.php' -print
+	done | \
+		extract_strings \
+		--package-name="Dotclear 2" \
+		-o locales/_pot/plugins.pot \
+		-x locales/_pot/date.pot \
+		-x locales/_pot/main.pot
+	
+	echo "DONE"
+	
+	#
+	# Update locales/<lang> if needed
+	#
+	if [ -z "$PO_LANG" ]; then
+		exit 0;
+	fi
+	
+	# Init locale if not present
+	if [ ! -d locales/$PO_LANG ]; then
+		mkdir -p locales/$PO_LANG/help
+		
+		# Base help files
+		for i in locales/en/help/*.html; do
+			cp $i locales/$PO_LANG/help/core_`basename $i`
+		done
+		for i in $PLUGINS; do
+			if [ -f plugins/$i/help.html ]; then
+				cp plugins/$i/help.html locales/$PO_LANG/help/$i.html
+			fi
+		done
+	fi
+	
+	# update main.po
+	echo "Updating <$PO_LANG> po files..."
+	update_po ./locales/$PO_LANG/main.po ./locales/_pot/main.pot
+	update_po ./locales/$PO_LANG/plugins.po ./locales/_pot/plugins.pot
+	update_po ./locales/$PO_LANG/public.po ./locales/_pot/public.pot
+	update_po ./locales/$PO_LANG/date.po ./locales/_pot/date.pot
+else
+	#
+	# Plugin language update
+	#
+	
+	if [ ! -d $PO_MODULE ]; then
+		echo "Module $PO_MODULE does not exist"
+		exit 1
+	fi
+	echo "Module $PO_MODULE language update"
+	
+	
+	#
+	# Building po template file
+	#
+	if [ ! -d $PO_MODULE/locales/_pot ]; then
+		mkdir -p $PO_MODULE/locales/_pot
+	fi
+	echo "Building main PO template..."
+	echo '<?php' >$PO_MODULE/__html_tpl_dummy.php 
+	find $PO_MODULE -name '*.html' -exec grep -o '{{tpl:lang [^}]*}}' {} \; | sed 's/{{tpl:lang \(.*\)}}$/__\("\1")/' | sort -u \
+		>> $PO_MODULE/__html_tpl_dummy.php
+	sed -i "" 's/\$/\\\$/g' $PO_MODULE/__html_tpl_dummy.php 
+	
+	find $PO_MODULE -name '*.php' -print | \
+		extract_strings \
+		--package-name="Dotclear 2 `basename $PO_MODULE` module" \
+		-o $PO_MODULE/locales/_pot/main.pot \
+		-x locales/_pot/date.pot -x locales/_pot/main.pot -x locales/_pot/public.pot -x locales/_pot/plugins.pot
+	
+	rm -f $PO_MODULE/__html_tpl_dummy.php
+	
+	echo "DONE"
+	
+	#
+	# Update locale/<lang>
+	#
+	if [ ! -d $PO_MODULE/locales/$PO_LANG ]; then
+		mkdir -p $PO_MODULE/locales/$PO_LANG
+	fi
+	echo "Updating module <$PO_MODULE> main <$PO_LANG> po file... "
+	update_po $PO_MODULE/locales/$PO_LANG/main.po $PO_MODULE/locales/_pot/main.pot
+fi
Index: plugins/aboutConfig/index.php
===================================================================
--- plugins/aboutConfig/index.php	(revision 2003)
+++ plugins/aboutConfig/index.php	(revision 1553)
@@ -131,8 +131,8 @@
 
 <div id="local" class="multi-part" title="<?php echo sprintf(__('Settings for %s'),html::escapeHTML($core->blog->name)); ?>">
-<h3 class="out-of-screen-if-js"><?php echo sprintf(__('Settings for %s'),html::escapeHTML($core->blog->name)); ?></h3>
-
-<?php
-$table_header = '<div class="table-outer"><table class="settings" id="%s"><caption class="as_h3">%s</caption>'.
+
+
+<?php
+$table_header = '<table class="settings" id="%s"><caption class="as_h3">%s</caption>'.
 '<thead>'.
 '<tr>'."\n".
@@ -144,5 +144,5 @@
 '</thead>'."\n".
 '<tbody>';
-$table_footer = '</tbody></table></div>';
+$table_footer = '</tbody></table>';
 
 $settings = array();
@@ -190,5 +190,4 @@
 
 <div id="global" class="multi-part" title="<?php echo __('Global settings'); ?>">
-<h3 class="out-of-screen-if-js"><?php echo __('Global settings'); ?></h3>
 
 <?php
Index: plugins/akismet/class.dc.filter.akismet.php
===================================================================
--- plugins/akismet/class.dc.filter.akismet.php	(revision 1995)
+++ plugins/akismet/class.dc.filter.akismet.php	(revision 1454)
@@ -117,5 +117,5 @@
 				$blog->settings->akismet->put('ak_key',$ak_key,'string');
 				
-				http::redirect($url.'&upd=1');
+				http::redirect($url.'&up=1');
 			}
 			catch (Exception $e)
@@ -134,11 +134,6 @@
 			}
 		}
-
-		$res = '';
-		if (!empty($_GET['upd'])) {
-			$res .= dcPage::success(__('Filter configuration have been successfully saved.'),true,false,false);
-		}
-		
-		$res .=
+		
+		$res =
 		'<form action="'.html::escapeURL($url).'" method="post" class="fieldset">'.
 		'<p><label for="ak_key" class="classic">'.__('Akismet API key:').'</label> '.
Index: plugins/antispam/_admin.php
===================================================================
--- plugins/antispam/_admin.php	(revision 2022)
+++ plugins/antispam/_admin.php	(revision 1519)
@@ -73,5 +73,4 @@
 		' '.__('days').
 		'</label></p>'.
-		'<p><a href="plugin.php?p=antispam">'.__('Set spam filters.').'</a></p>'.
 		'</div>';
 	}
Index: plugins/antispam/index.php
===================================================================
--- plugins/antispam/index.php	(revision 2002)
+++ plugins/antispam/index.php	(revision 1553)
@@ -147,5 +147,5 @@
 	echo
 	'<form action="'.$p_url.'" method="post" class="fieldset">'.
-	'<h3>'.__('Information').'</h3>';
+	'<h3>'.__('Informations').'</h3>';
 
 	if (!empty($_GET['del'])) {
@@ -185,5 +185,4 @@
 
 	echo
-	'<div class="table-outer">'.
 	'<table class="dragable">'.
 	'<caption class="as_h3">'.__('Available spam filters').'</caption>'.
@@ -220,5 +219,5 @@
 	}
 	echo
-	'</tbody></table></div>'.
+	'</tbody></table>'.
 	'<p>'.form::hidden('filters_order','').
 	$core->formNonce().
Index: plugins/blogroll/edit.php
===================================================================
--- plugins/blogroll/edit.php	(revision 2002)
+++ plugins/blogroll/edit.php	(revision 1553)
@@ -153,6 +153,5 @@
 	# XFN nightmare
 	'<div class="col70 last-col">'.
-	'<h3>'.__('XFN information').'</h3>'.
-	'<div class="table-outer">'.
+	'<h3>'.__('XFN informations').'</h3>'.
 	'<table class="noborder">'.
 	
@@ -236,5 +235,5 @@
 	'</p></td>'.
 	'</tr>'.
-	'</table></div>'.
+	'</table>'.
 	
 	'</div>'.
Index: plugins/blogroll/index.php
===================================================================
--- plugins/blogroll/index.php	(revision 2002)
+++ plugins/blogroll/index.php	(revision 1553)
@@ -212,6 +212,5 @@
 
 <form action="plugin.php" method="post" id="links-form">
-<div class="table-outer">
-<table class="dragable">
+<table class="maximal dragable">
 <thead>
 <tr>
@@ -254,5 +253,5 @@
 ?>
 </tbody>
-</table></div>
+</table>
 
 <div class="two-cols">
Index: plugins/daInstaller/inc/lib.da.installer.ui.php
===================================================================
--- plugins/daInstaller/inc/lib.da.installer.ui.php	(revision 2002)
+++ plugins/daInstaller/inc/lib.da.installer.ui.php	(revision 1568)
@@ -52,6 +52,5 @@
 			
 			$html_block =
-				'<div class="table-outer">'.
-				'<table caption="modules" class="maximal">'.
+				'<table summary="modules" class="maximal">'.
 				'<thead>'.
 				'<tr>'.
@@ -63,5 +62,5 @@
 				'</thead>'.
 				'<tbody>%s</tbody>'.
-				'</table></div>';
+				'</table>';
 			
 			echo '<p class="pagination">'.__('Page(s)').' : '.$pager->getLinks().'</p>';
@@ -207,6 +206,5 @@
 		$html_block =
 			'<form action="'.$url.'" method="post">'.
-			'<div class="table-outer">'.
-			'<table caption="upd-%1$s" class="maximal">'.
+			'<table summary="upd-%1$s" class="maximal">'.
 			'<thead>'.
 			'<tr>'.
@@ -217,5 +215,5 @@
 			'</thead>'.
 			'<tbody>%2$s</tbody>'.
-			'</table></div>'.
+			'</table>'.
 			'<div class="two-cols">'.
 			'<p class="col checkboxes-helpers"></p>'.
Index: plugins/daInstaller/index.php
===================================================================
--- plugins/daInstaller/index.php	(revision 1912)
+++ plugins/daInstaller/index.php	(revision 1569)
@@ -21,5 +21,5 @@
 $p_url 		= 'plugin.php?p=daInstaller';
 $default_tab 	= !empty($_GET['tab']) ? html::escapeHTML($_GET['tab']) : 'plugins';
-$page		= !empty($_GET['page']) ? max(1,(integer) $_GET['page']) : 1;
+$page		= !empty($_GET['page']) ? (integer)$_GET['page'] : 1;
 $nb_per_page 	= 10;
 $q			= !empty($_GET['q']) ? trim(html::escapeHTML($_GET['q'])) : '';
Index: plugins/importExport/_prepend.php
===================================================================
--- plugins/importExport/_prepend.php	(revision 1955)
+++ plugins/importExport/_prepend.php	(revision 891)
@@ -12,5 +12,5 @@
 if (!defined('DC_RC_PATH')) { return; }
 
-global $__autoload;
+global $__autoload,$core;
 
 $__autoload['dcIeModule'] = 	dirname(__FILE__).'/inc/class.dc.ieModule.php';
@@ -28,5 +28,5 @@
 $__autoload['flatExport'] = 	dirname(__FILE__).'/inc/flat/class.flat.export.php';
 
-$this->core->addBehavior('importExportModules','registerIeModules');
+$core->addBehavior('importExportModules','registerIeModules');
 
 function registerIeModules($modules)
@@ -42,14 +42,3 @@
 	}
 }
-
-$__autoload['ieMaintenanceExportblog'] = dirname(__FILE__).'/inc/lib.ie.maintenance.php';
-$__autoload['ieMaintenanceExportfull'] = dirname(__FILE__).'/inc/lib.ie.maintenance.php';
-
-$this->core->addBehavior('dcMaintenanceRegister', 'ieMaintenanceRegister');
-
-function ieMaintenanceRegister($core, $tasks, $groups, $tabs)
-{
-	$tasks[] = 'ieMaintenanceExportblog';
-	$tasks[] = 'ieMaintenanceExportfull';
-}
 ?>
Index: plugins/maintenance/_admin.php
===================================================================
--- plugins/maintenance/_admin.php	(revision 1989)
+++ plugins/maintenance/_admin.php	(revision 1179)
@@ -12,209 +12,15 @@
 if (!defined('DC_CONTEXT_ADMIN')) { return; }
 
-// Sidebar menu
-$_menu['Plugins']->addItem(
-	__('Maintenance'),
-	'plugin.php?p=maintenance',
-	'index.php?pf=maintenance/icon.png',
-	preg_match('/plugin.php\?p=maintenance(&.*)?$/', $_SERVER['REQUEST_URI']),
-	$core->auth->check('admin', $core->blog->id)
-);
+$_menu['Plugins']->addItem(__('Maintenance'),'plugin.php?p=maintenance','index.php?pf=maintenance/icon.png',
+		preg_match('/plugin.php\?p=maintenance(&.*)?$/',$_SERVER['REQUEST_URI']),
+		$core->auth->isSuperAdmin());
 
-// Admin behaviors
-$core->addBehavior('dcMaintenanceRegister', array('dcMaintenanceAdmin', 'dcMaintenanceRegister'));
-$core->addBehavior('adminDashboardFavs', array('dcMaintenanceAdmin', 'adminDashboardFavs'));
-$core->addBehavior('adminDashboardFavsIcon', array('dcMaintenanceAdmin', 'adminDashboardFavsIcon'));
-$core->addBehavior('adminDashboardItems', array('dcMaintenanceAdmin', 'adminDashboardItems'));
-$core->addBehavior('adminDashboardOptionsForm',	array('dcMaintenanceAdmin',	'adminDashboardOptionsForm'));
-$core->addBehavior('adminAfterDashboardOptionsUpdate',	array('dcMaintenanceAdmin',	'adminAfterDashboardOptionsUpdate'));
+$core->addBehavior('adminDashboardFavs','maintenanceDashboardFavs');
 
-/**
-@ingroup PLUGIN_MAINTENANCE
-@nosubgrouping
-@brief Maintenance plugin admin class.
-
-Group of methods used on behaviors.
-*/
-class dcMaintenanceAdmin
+function maintenanceDashboardFavs($core,$favs)
 {
-	/**
-	 * Register default tasks.
-	 *
-	 * @param	$core	<b>dcCore</b>	dcCore instance
-	 * @param	$tasks	<b>arrayObject</b>	Array of tasks to register
-	 * @param	$groups	<b>arrayObject</b>	Array of groups to register
-	 * @param	$tabs	<b>arrayObject</b>	Array of tabs to register
-	 */
-	 public static function dcMaintenanceRegister($core, $tasks, $groups, $tabs)
-	{
-		$tabs['maintenance'] = __('Servicing');
-		$tabs['backup'] = __('Backup');
-
-		$groups['optimize'] = __('Optimize');
-		$groups['index'] = __('Count and index');
-		$groups['purge'] = __('Purge');
-		$groups['other'] = __('Other');
-		$groups['zipblog'] = __('Compressed file for current blog');
-		$groups['zipfull'] = __('Compressed file for all blogs');
-
-		$tasks[] = 'dcMaintenanceCache';
-		$tasks[] = 'dcMaintenanceIndexposts';
-		$tasks[] = 'dcMaintenanceIndexcomments';
-		$tasks[] = 'dcMaintenanceCountcomments';
-		$tasks[] = 'dcMaintenanceLogs';
-		$tasks[] = 'dcMaintenanceVacuum';
-		$tasks[] = 'dcMaintenanceZipmedia';
-		$tasks[] = 'dcMaintenanceZiptheme';
-	}
-
-	/**
-	 * Dashboard favs.
-	 *
-	 * @param	$core	<b>dcCore</b>	dcCore instance
-	 * @param	$favs	<b>arrayObject</b>	Array of favs
-	 */
-	public static function adminDashboardFavs($core, $favs)
-	{
-		$favs['maintenance'] = new ArrayObject(array(
-			'maintenance',
-			'Maintenance',
-			'plugin.php?p=maintenance',
-			'index.php?pf=maintenance/icon.png',
-			'index.php?pf=maintenance/icon-big.png',
-			null,null,null
-		));
-	}
-
-	/**
-	 * Dashboard favs icon.
-	 *
-	 * This updates maintenance fav icon text 
-	 * if there are tasks required maintenance.
-	 *
-	 * @param	$core	<b>dcCore</b>	dcCore instance
-	 * @param	$name	<b>string</b>	Current fav name
-	 * @param	$icon	<b>arrayObject</b>	Current fav attributes
-	 */
-	public static function adminDashboardFavsIcon($core, $name, $icon)
-	{
-		// Check icon
-		if ($name !== 'maintenance') {
-			return null;
-		}
-
-		// Check user option
-		$core->auth->user_prefs->addWorkspace('maintenance');
-		if (!$core->auth->user_prefs->maintenance->dashboard_icon) {
-			return null;
-		}
-
-		// Check expired tasks
-		$maintenance = new dcMaintenance($core);
-		$count = 0;
-		foreach($maintenance->getTasks() as $t)
-		{
-			if ($t->expired() !== false){
-				$count++;
-			}
-		}
-
-		if (!$count) {
-			return null;
-		}
-
-		$icon[0] .= '<br />'.sprintf(__('One task to execute', '%s tasks to execute', $count), $count);
-	}
-
-	/**
-	 * Dashboard items stack.
-	 *
-	 * @param	$core	<b>dcCore</b>	dcCore instance
-	 * @param	$items	<b>arrayObject</b>	Dashboard items
-	 */
-	public static function adminDashboardItems($core, $items)
-	{
-		$core->auth->user_prefs->addWorkspace('maintenance');
-		if (!$core->auth->user_prefs->maintenance->dashboard_item) {
-			return null;
-		}
-
-		$maintenance = new dcMaintenance($core);
-
-		$lines = array();
-		foreach($maintenance->getTasks() as $t)
-		{
-			$ts = $t->expired();
-			if ($ts === false){
-				continue;
-			}
-
-			$lines[] = 
-			'<li title="'.($ts === null ?
-				__('This task has never been executed.')
-				:
-				sprintf(__('Last execution of this task was on %s.'),
-					dt::dt2str($core->blog->settings->system->date_format, $ts).' '.
-					dt::dt2str($core->blog->settings->system->time_format, $ts)
-				)
-			).'">'.$t->task().'</li>';
-		}
-
-		if (empty($lines)) {
-			return null;
-		}
-
-		$items[] = new ArrayObject(array(
-			'<div id="maintenance-expired">'.
-			'<h3><img src="index.php?pf=maintenance/icon.png" alt="" /> '.__('Maintenance').'</h3>'.
-			'<p class="warn">'.sprintf(__('There is a task to execute.', 'There are %s tasks to execute.', count($lines)), count($lines)).'</p>'.
-			'<ul>'.implode('',$lines).'</ul>'.
-			'<p><a href="plugin.php?p=maintenance">'.__('Manage tasks').'</a></p>'.
-			'</div>'
-			));
-	}
-
-	/**
-	 * User preferences form.
-	 *
-	 * This add options for superadmin user 
-	 * to show or not expired taks.
-	 *
-	 * @param	$args	<b>object</b>	dcCore instance or record
-	 */
-	public static function adminDashboardOptionsForm($core)
-	{
-		$core->auth->user_prefs->addWorkspace('maintenance');
-
-		echo
-		'<div class="fieldset">'.
-		'<h4>'.__('Maintenance').'</h4>'.
-
-		'<p><label for="maintenance_dashboard_icon" class="classic">'.
-		form::checkbox('maintenance_dashboard_icon', 1, $core->auth->user_prefs->maintenance->dashboard_icon).
-		__('Display count of late tasks on maintenance dashboard icon').'</label></p>'.
-
-		'<p><label for="maintenance_dashboard_item" class="classic">'.
-		form::checkbox('maintenance_dashboard_item', 1, $core->auth->user_prefs->maintenance->dashboard_item).
-		__('Display list of late tasks on dashboard items').'</label></p>'.
-
-		'</div>';
-	}
-
-	/**
-	 * User preferences update.
-	 *
-	 * @param	$user_id	<b>string</b>	User ID
-	 */
-	public static function adminAfterDashboardOptionsUpdate($user_id=null)
-	{
-		global $core;
-
-		if (is_null($user_id)) {
-			return null;
-		}
-
-		$core->auth->user_prefs->addWorkspace('maintenance');
-		$core->auth->user_prefs->maintenance->put('dashboard_icon', !empty($_POST['maintenance_dashboard_icon']), 'boolean');
-		$core->auth->user_prefs->maintenance->put('dashboard_item', !empty($_POST['maintenance_dashboard_item']), 'boolean');
-	}
+	$favs['maintenance'] = new ArrayObject(array('maintenance','Maintenance','plugin.php?p=maintenance',
+		'index.php?pf=maintenance/icon.png','index.php?pf=maintenance/icon-big.png',
+		null,null,null));
 }
+?>
Index: plugins/maintenance/_define.php
===================================================================
--- plugins/maintenance/_define.php	(revision 1989)
+++ plugins/maintenance/_define.php	(revision 1179)
@@ -14,7 +14,7 @@
 $this->registerModule(
 	/* Name */			"Maintenance",
-	/* Description*/		"Maintain your installation",
-	/* Author */			"Olivier Meunier & Association Dotclear",
-	/* Version */			'1.3.1',
-	/* Permission */		'admin'
+	/* Description*/		"Maintain your database",
+	/* Author */			"Olivier Meunier",
+	/* Version */			'1.2'
 );
+?>
